curl --request POST \
--url https://api.duvo.ai/v2/queues/{queue_id}/cases/bulk-update-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"case_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"all_matching": true,
"filters": {
"status": [],
"created_at_from": "<string>",
"updated_at_from": "<string>",
"labels": {}
},
"search": "<string>"
}
'import requests
url = "https://api.duvo.ai/v2/queues/{queue_id}/cases/bulk-update-status"
payload = {
"case_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"all_matching": True,
"filters": {
"status": [],
"created_at_from": "<string>",
"updated_at_from": "<string>",
"labels": {}
},
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
case_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
all_matching: true,
filters: {
status: [],
created_at_from: '<string>',
updated_at_from: '<string>',
labels: {}
},
search: '<string>'
})
};
fetch('https://api.duvo.ai/v2/queues/{queue_id}/cases/bulk-update-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedCount": 123,
"skippedCount": 123,
"interruptedRunIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Bulk Update Case Status
Update the status of multiple cases to pending, completed, or failed. Interrupts any active runs and releases their case ownership, but never cancels their human-in-the-loop state — pending requests and open approval batches stay answerable/resolvable from the run view. Resetting to pending re-dispatches cases to the queue’s trigger consumer.
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The queue's unique identifier
Body
Target status for each case. completed and failed are terminal; pending resets the case (the queue's trigger consumer, if any, will re-claim it).
pending, completed, failed Explicit case IDs to act on (1-100). Provide this or set all_matching.
1 - 100 elementsWhen true, act on every case matching the provided filters/search instead of an explicit id list.
Filters selecting the cases when all_matching is true.
Show child attributes
Show child attributes
Free-text search selecting the cases when all_matching is true.
Was this page helpful?